Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78770 - [patch] DDC probe returns invalid vsync,hsync when monitor does not report it and it is not in monitorsDB
Summary: [patch] DDC probe returns invalid vsync,hsync when monitor does not report it...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kudzu
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-29 14:59 UTC by Miloslav Trmac
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-28 15:43:32 UTC


Attachments (Terms of Use)

Description Miloslav Trmac 2002-11-29 14:59:11 UTC
Description of Problem:
Bug 70190 contains a patch for kudzu, which fixes a NULL pointer
dereference when monitor does not report hsync/vsync values, and
it is not in MonitorsDB. Because the VESA DDC code maps memory
to first 1M, kudzu does not crash, but reports hsync/vsync
in range about -2e9. This has been worked around in anaconda, but
the underlying cause has not been fixed. Please see 70190
for an example and an patch.

Comment 1 Miloslav Trmac 2003-01-06 19:51:03 UTC
Same in phoebe.
I hope this will be fixed before summer betas ;-)

Comment 2 Miloslav Trmac 2003-01-28 15:43:32 UTC
I don't know what bug 78284 says, but the patch is in rhlinux.redhat.com
CVS now.

Gee, I can't even mark it as duplicate ;-)


Note You need to log in before you can comment on or make changes to this bug.